summaryrefslogtreecommitdiffstats
path: root/Utilities
diff options
context:
space:
mode:
Diffstat (limited to 'Utilities')
-rwxr-xr-xUtilities/Scripts/update-libarchive.bash31
1 files changed, 31 insertions, 0 deletions
diff --git a/Utilities/Scripts/update-libarchive.bash b/Utilities/Scripts/update-libarchive.bash
new file mode 100755
index 0000000..3b42269
--- /dev/null
+++ b/Utilities/Scripts/update-libarchive.bash
@@ -0,0 +1,31 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+shopt -s dotglob
+
+readonly name="LibArchive"
+readonly ownership="LibArchive Upstream <libarchive-discuss@googlegroups.com>"
+readonly subtree="Utilities/cmlibarchive"
+readonly repo="https://github.com/libarchive/libarchive.git"
+readonly tag="master"
+readonly shortlog=false
+readonly paths="
+ CMakeLists.txt
+ COPYING
+ CTestConfig.cmake
+ build/cmake
+ build/pkgconfig
+ build/utils
+ build/version
+ libarchive/*.*
+"
+
+extract_source () {
+ git_archive
+ pushd "${extractdir}/${name}-reduced"
+ fromdos build/cmake/Find*.cmake
+ popd
+}
+
+. "${BASH_SOURCE%/*}/update-third-party.bash"